
/* All Minecraft Extra Planets Page ⬇⬇⬇
================================================== */

/*-------------------------⬇⬇⬇ Font Face ⬇⬇⬇-------------------------*/
@font-face {
    font-family: Minecraftia;
    src: url("../../../fonts/minecraftia-regular.ttf");
}
/*-------------------------⬆⬆⬆ Font Face ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ Body ⬇⬇⬇-------------------------*/
body {
    background-image: url("../images/background.png");
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
}
/*-------------------------⬆⬆⬆ Body ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ Main ⬇⬇⬇-------------------------*/
main {
    font-family: Minecraftia;
    background-color: unset; /* It is necessary because main css overrides it with a different color. */
    background-image: linear-gradient(rgba(17, 69, 104, 0.95), rgba(8, 32, 65, 0.95));
}

#main-style {
    overflow-y: hidden;
}

#main-title {
    text-align: center;
    margin: 3rem 0 1rem 0;
}
/*-------------------------⬆⬆⬆ Main ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ Back Icon ⬇⬇⬇-------------------------*/
#back-icon {
    float: left;
    width: 50px;
}
/*-------------------------⬆⬆⬆ Back Icon ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ Lists ⬇⬇⬇-------------------------*/
ul {
    list-style: url("../images/list-style.png");
    text-align: left;
    width: 45%;
}

.ul-title {
    margin-bottom: -30px;
}
/*-------------------------⬆⬆⬆ Lists ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ Description Images ⬇⬇⬇-------------------------*/
.images {
    width: 50%;
    float: right;
    clear: both;
    margin-bottom: 5px;
}

.images-space-station {
    width: 50%;
}
/*-------------------------⬆⬆⬆ Description Images ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ Ore Images ⬇⬇⬇-------------------------*/
.images-square {
    width: 38px;
}

.images-wide {
    width: 38px;
    margin-bottom: 5px;
}

.images-high {
    width: 38px;
}
/*-------------------------⬆⬆⬆ Ore Images ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ Index Page Iframe ⬇⬇⬇-------------------------*/
iframe {
    margin: 0 0.5rem 0 0.5rem;
}
/*-------------------------⬆⬆⬆ Index Page Iframe ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ Index Page Planets ⬇⬇⬇-------------------------*/
#div-all-planets {
    text-align: center;
}

.div-planets {
    position: relative;
    width: 15.5%;
    display: inline-block;
    margin: 0 0.5rem 0 0.5rem;
}

.planets-name {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: xx-large;
    color: white;
}
/*-------------------------⬆⬆⬆ Index Page Planets ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ Space Stations Page ⬇⬇⬇-------------------------*/
.space-station-div {
    display: inline-table;
    border: solid rgb(45, 68, 78) 1px;
    width: 32.5%;
    margin-bottom: 5px;
}
/*-------------------------⬆⬆⬆ Space Stations Page ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ Machines Page ⬇⬇⬇-------------------------*/
.machines-names {
    color: rgb(238, 177, 36);
}

.ul-machines {
    width: 100%;
}
/*-------------------------⬆⬆⬆ Machines Page ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ All Crafting Recipes Page ⬇⬇⬇-------------------------*/
.table-crafting-recipes {
    width: 100%;
}

.images-crafting-recipes {
    max-width: 100%;
    max-height: 250px;
}

.th-crafting-recipes, .td-crafting-recipes {
    border: solid rgb(45, 68, 78) 1px;
    text-align: center;
}
/*-------------------------⬆⬆⬆ All Crafting Recipes Page ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ Links ⬇⬇⬇-------------------------*/
a {
    background-color: transparent;
    text-decoration: none;
}

a:link, a:visited {
    color: rgb(93, 255, 52);
}

a:hover {
    color: rgb(0, 27, 117);
}

a:active {
    color: rgb(124, 25, 25);
}
/*-------------------------⬆⬆⬆ Links ⬆⬆⬆-------------------------*/

/*-------------------------⬇⬇⬇ Utilities ⬇⬇⬇-------------------------*/
.width-33 {
    width: 33%;
}

.width-100 {
    width: 100%;
}

.red {
    color: red;
}

.black {
    color: black;
}
/*-------------------------⬆⬆⬆ Utilities ⬆⬆⬆-------------------------*/

@media screen and (max-width: 1460px) {
    /*-------------------------⬇⬇⬇ Body ⬇⬇⬇-------------------------*/
    body {
        background-image: url("../images/background-middle.png");
    }
    /*-------------------------⬆⬆⬆ Body ⬆⬆⬆-------------------------*/
}

@media screen and (max-width: 1420px) {
    /*-------------------------⬇⬇⬇ Index Page Planets ⬇⬇⬇-------------------------*/
    .div-planets {
        width: 18%;
        margin-bottom: 0.5rem;
    }
    /*-------------------------⬆⬆⬆ Index Page Planets ⬆⬆⬆-------------------------*/
}

@media screen and (max-width: 1100px) {
    /*-------------------------⬇⬇⬇ Body ⬇⬇⬇-------------------------*/
    body {
        background-image: url("../images/background-mobile.png");
    }
    /*-------------------------⬆⬆⬆ Body ⬆⬆⬆-------------------------*/

    /*-------------------------⬇⬇⬇ Lists ⬇⬇⬇-------------------------*/
    ul {
        width: 95%;
    }
    /*-------------------------⬆⬆⬆ Lists ⬆⬆⬆-------------------------*/

    /*-------------------------⬇⬇⬇ Description Images ⬇⬇⬇-------------------------*/
    .images {
        display: none;
    }

    .space-station-div {
        width: 49.3%;
    }
    /*-------------------------⬆⬆⬆ Description Images ⬆⬆⬆-------------------------*/
}

@media screen and (max-width: 1000px) {
    /*-------------------------⬇⬇⬇ Index Page Planets ⬇⬇⬇-------------------------*/
    .planets-name {
        font-size: larger;
    }
    /*-------------------------⬆⬆⬆ Index Page Planets ⬆⬆⬆-------------------------*/
}

@media screen and (max-width: 830px) {
    /*-------------------------⬇⬇⬇ Index Page Planets ⬇⬇⬇-------------------------*/
    .div-planets {
        width: 22%;
    }
    /*-------------------------⬆⬆⬆ Index Page Planets ⬆⬆⬆-------------------------*/
}

@media screen and (max-width: 690px) {
    /*-------------------------⬇⬇⬇ Description Images ⬇⬇⬇-------------------------*/
    .space-station-div {
        width: 100%;
    }
    /*-------------------------⬆⬆⬆ Description Images ⬆⬆⬆-------------------------*/

    /*-------------------------⬇⬇⬇ All Crafting Recipes Page ⬇⬇⬇-------------------------*/
    .td-crafting-recipes {
        font-size: small;
    }
    /*-------------------------⬆⬆⬆ All Crafting Recipes Page ⬆⬆⬆-------------------------*/
}

@media screen and (max-width: 590px) {
    /*-------------------------⬇⬇⬇ Iframe ⬇⬇⬇-------------------------*/
    iframe {
        width: 100%;
    }
    /*-------------------------⬆⬆⬆ Iframe ⬆⬆⬆-------------------------*/
}

@media screen and (max-width: 570px) {
    /*-------------------------⬇⬇⬇ Index Page Planets ⬇⬇⬇-------------------------*/
    .div-planets {
        width: 28%;
    }
    /*-------------------------⬆⬆⬆ Index Page Planets ⬆⬆⬆-------------------------*/
}

@media screen and (max-width: 400px) {
    /*-------------------------⬇⬇⬇ Index Page Planets ⬇⬇⬇-------------------------*/
    .div-planets {
        width: 40%;
    }
    /*-------------------------⬆⬆⬆ Index Page Planets ⬆⬆⬆-------------------------*/
}

@media screen and (max-width: 300px) {
    /*-------------------------⬇⬇⬇ Index Page Planets ⬇⬇⬇-------------------------*/
    .planets-name {
        font-size: medium;
    }
    /*-------------------------⬆⬆⬆ Index Page Planets ⬆⬆⬆-------------------------*/
}

@media screen and (max-width: 260px) {
    /*-------------------------⬇⬇⬇ Index Page Planets ⬇⬇⬇-------------------------*/
    .div-planets {
        width: 90%;
    }
    /*-------------------------⬆⬆⬆ Index Page Planets ⬆⬆⬆-------------------------*/
}

/* All Minecraft Extra Planets Page. ⬆⬆⬆
================================================== */
